Name:           svni
Version:        0.36.2
Release:        2%{?dist}
Summary:        Subversion interactive check-in wrapper
License:        GPLv3
URL:            http://svni.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  perl
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       subversion
BuildArch:      noarch

%description
svni is a wrapper for "svn ci". It features syntax checking before checking 
in files; Giving the possibility to make a final selection of files to check 
in when entering a commit message; And showing the differences that are 
about to be checked in.

Features:
- Command-line tool
- Check syntax before committing files to the repository
- Review changes before committing
- Make last-minute changes to the list of files to be committed
- Automatically execute a script after a successful commit

%package        vim
Summary:        Vim syntax highlighting file for Subversion interactive check-in wrapper
Requires:       vim
Requires:       %{name} = %{version}-%{release}

%description    vim
This package additionally provides a vim syntax highlighting configuration.

%prep
%setup -q
sed -i 's|/usr/bin/env perl|/usr/bin/perl|g' %{name}

%build
#Nothing here.

%install
install -pDm 755 %{name} %{buildroot}%{_bindir}/%{name}
install -pDm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -pDm 644 %{name}.vim %{buildroot}%{_datadir}/vim/vim73/syntax/%{name}.vim

%files
%doc CHANGES COPYING example.svnirc %{name}.{html,pdf,ps}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files vim
%{_datadir}/vim/vim73/syntax/%{name}.vim

%changelog
* Tue Aug 13 2013 Christopher Meng <rpm@cicku.me> - 0.36.2-2
- Perl 5.18 Rebuild.

* Mon Jul 15 2013 Christopher Meng <rpm@cicku.me> - 0.36.2-1
- New version.

* Tue Jul 09 2013 Christopher Meng <rpm@cicku.me> - 0.36.1-3
- Fix subpackage license.

* Mon Jul 08 2013 Christopher Meng <rpm@cicku.me> - 0.36.1-2
- Fix subpackage requires.

* Fri Jun 21 2013 Christopher Meng <rpm@cicku.me> - 0.36.1-1
- Fix the manpage errors.

* Tue Sep 18 2012 Christopher Meng <rpm@cicku.me> - 0.36-1
- Initial Package.
